import type { ReactElement } from 'react';
import type { ContentItemModel } from '../../models/index.js';
export declare const VirtualList: import("react").MemoExoticComponent<({ items, renderItem, routingBasePath, }: {
    items: ContentItemModel[];
    renderItem: (item: ContentItemModel) => ReactElement;
    routingBasePath: string;
}) => import("react/jsx-runtime").JSX.Element>;
